#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	HTML
%define		pnam	Tree
%include	/usr/lib/rpm/macros.perl
Summary:	A suite for making parse trees out of HTML source
Summary(pl.UTF-8):	Pakiet do tworzenie przetworzonych drzew źródła w HTML-u
Name:		perl-HTML-Tree
Version:	5.07
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/HTML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7d22aa8fda76a60a88ce47bc63f4d21d
URL:		http://search.cpan.org/dist/HTML-Tree/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Module-Build >= 0.2808
%if %{with tests}
BuildRequires:	perl-HTML-Parser >= 3.46
BuildRequires:	perl-HTML-Tagset >= 3.02
BuildRequires:	perl-Test-Fatal
%endif
# HTML::FormatText used in HTML::Element by default; don't use as BuildRequires (loop)
Requires:	perl-HTML-Format
Requires:	perl-HTML-Parser >= 3.46
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a collection of modules that represent, create and extract
information from HTML syntax trees. Modules included: HTML::Element,
HTML::TreeBuilder, HTML::AsSubs, HTML::Parse.

%description -l pl.UTF-8
Kolekcja modułów do operowania na drzewach składni HTML. Pakiet
zawiera moduły: HTML::Element, HTML::TreeBuilder, HTML::AsSubs,
HTML::Parse.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT
./Build install

# for external HTML::TreeBuilder subclasses
install -d $RPM_BUILD_ROOT%{perl_vendorlib}/HTML/TreeBuilder

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/HTML/Tree/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%attr(755,root,root) %{_bindir}/htmltree
%{perl_vendorlib}/HTML/AsSubs.pm
%{perl_vendorlib}/HTML/Element.pm
%{perl_vendorlib}/HTML/Parse.pm
%{perl_vendorlib}/HTML/Tree.pm
%{perl_vendorlib}/HTML/TreeBuilder.pm
%dir %{perl_vendorlib}/HTML/Element
%{perl_vendorlib}/HTML/Element/traverse.pm
%dir %{perl_vendorlib}/HTML/TreeBuilder
%{_mandir}/man1/htmltree.1*
%{_mandir}/man3/HTML::AsSubs.3pm*
%{_mandir}/man3/HTML::Element*.3pm*
%{_mandir}/man3/HTML::Parse.3pm*
%{_mandir}/man3/HTML::Tree*.3pm*
%changelog
* Wed Sep 20 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-HTML-Tree.git;a=log;h=master

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 58e406b
- up to 5.07

* Wed Mar 11 2015 Marcin Krol <hawk@tld-linux.org> 867b810
- release 3 (by relup.sh)

* Fri May 17 2013 Marcin Krol <hawk@tld-linux.org> 19e1642
- release 2 (by relup.sh)

* Thu Mar 28 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d575db
- up to 5.03

* Sun Aug 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 330d124
- Module::Build version

* Sun Aug 12 2012 Elan Ruusamäe <glen@delfi.ee> b2d888b
- up to 5.02

* Sat Dec 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 890ed7d
- package htmltree script
- explicit versioned HTML-Parser runtime dependency (HTML-Tagset is autodetected)

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d16a59
- up to 4.2

* Mon Apr 30 2007 radek <radek@pld-linux.org> 3cc2849
- version 3.23, added %{perl_vendorlib}/HTML/TreeBuilder

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e319933
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8d872ed
- converted to UTF-8

* Thu Sep 28 2006 twittner <twittner@pld-linux.org> b704706
- up to 3.21

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 0ec9294
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> f78dd32
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> bb2ba37
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 5b5d312
- cosmetics: unification

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> 1877122
- summary

* Thu Apr 22 2004 ankry <ankry@pld-linux.org> cf405dd
- license fixes and unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> d4be522
- ported to new bconds

* Wed Feb 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 93361d7
- s/no/nb/ in Summary langs

